## org.eclipse.datatools.connectivity.ui
Interface IWorkbenchWindowPerspectiveActionFilter

All Superinterfaces:
  org.eclipse.ui.IActionFilter

    public interface IWorkbenchWindowPerspectiveActionFilter

extends org.eclipse.ui.IActionFilter

Constants used when evaluating perspective state through IActionFilter or IPropertyTester TODO: remove duplicate entries. TODO: When we don't have to support 3.3, we can remove this class. See the implementation of the WorkbenchWindowPerspectiveActionFilter for details.

Field Summary
`static java.lang.String` `PERSPECTIVE_ID`
`static java.lang.String` `WORKBENCH_WINDOW_PERSPECTIVE_PROPERTY_PERSPECTIVE_ID` Used to filter views within a specific perspective

Method Summary

Methods inherited from interface org.eclipse.ui.IActionFilter
`testAttribute`

Field Detail

### WORKBENCH_WINDOW_PERSPECTIVE_PROPERTY_PERSPECTIVE_ID

    static final java.lang.String WORKBENCH_WINDOW_PERSPECTIVE_PROPERTY_PERSPECTIVE_ID

  Used to filter views within a specific perspective

  See Also:
    Constant Field Values

### PERSPECTIVE_ID

    static final java.lang.String PERSPECTIVE_ID

See Also:
  Constant Field Values